implicit none
integer :: i,nmax,ntrash,nlu
character :: trash

nmax=5

open(unit=8,file='test') 
! a la place du 8, ca peut etre n'importe quoi entre 1 et 99, sauf 5 et 6
! autres options qui peuvent etre utiles : 
! status='new' (n'accepte pas d'ouvrir un fichier deja existant -> utile pour eviter d'ecraser par inadvertance un fichier
! position='append' (pour se mettre au bout du fichier : par defaut, au debut)
write(8,*)'nombre,carre,cube'
do i=1,nmax,1
write(8,*)i,i**2,i**3
enddo
close(8)

open(unit=57,file='test') 
open(unit=41,file='test2')
         
read(57,*)trash

do i=1,nmax,1
read(57,*)ntrash,nlu,ntrash
write(41,*)i,' au carre vaut ',nlu
enddo

write(57,*)'coucou fichier test'
write(41,*)'coucou fichier test2'
write(*,*)'coucou le terminal'


close(57)
close(41)

end
